<back to all web services

GetProjectsCount

The following routes are available for this service:
GET/RestApi/translations/projects/count
<?php namespace dtos;

use DateTime;
use Exception;
use DateInterval;
use JsonSerializable;
use ServiceStack\{IReturn,IReturnVoid,IGet,IPost,IPut,IDelete,IPatch,IMeta,IHasSessionId,IHasBearerToken,IHasVersion};
use ServiceStack\{ICrud,ICreateDb,IUpdateDb,IPatchDb,IDeleteDb,ISaveDb,AuditBase,QueryDb,QueryDb2,QueryData,QueryData2,QueryResponse};
use ServiceStack\{ResponseStatus,ResponseError,EmptyResponse,IdResponse,ArrayList,KeyValuePair2,StringResponse,StringsResponse,Tuple2,Tuple3,ByteArray};
use ServiceStack\{JsonConverters,Returns,TypeContext};


class CountProxy implements JsonSerializable
{
    public function __construct(
        /** @var int */
        public int $TotalCount=0
    ) {
    }

    /** @throws Exception */
    public function fromMap($o): void {
        if (isset($o['TotalCount'])) $this->TotalCount = $o['TotalCount'];
    }
    
    /** @throws Exception */
    public function jsonSerialize(): mixed
    {
        $o = [];
        if (isset($this->TotalCount)) $o['TotalCount'] = $this->TotalCount;
        return empty($o) ? new class(){} : $o;
    }
}

enum ProjectStatus : string
{
    case NotStarted = 'NotStarted';
    case Started = 'Started';
    case Completed = 'Completed';
}

class GetProjectsCount implements IProjectsFilter, JsonSerializable
{
    public function __construct(
        /** @var int|null */
        public ?int $Skip=null,
        /** @var int|null */
        public ?int $Take=null,
        /** @var string|null */
        public ?string $OrderExpression=null,
        /** @var string|null */
        public ?string $SearchText=null,
        /** @var string[]|null */
        public ?array $Service=null,
        /** @var ProjectStatus|null */
        public ?ProjectStatus $ProjectStatus=null,
        /** @var string|null */
        public ?string $ActualSourceLanguage=null,
        /** @var bool|null */
        public ?bool $WithoutSourceLanguage=null
    ) {
    }

    /** @throws Exception */
    public function fromMap($o): void {
        if (isset($o['Skip'])) $this->Skip = $o['Skip'];
        if (isset($o['Take'])) $this->Take = $o['Take'];
        if (isset($o['OrderExpression'])) $this->OrderExpression = $o['OrderExpression'];
        if (isset($o['SearchText'])) $this->SearchText = $o['SearchText'];
        if (isset($o['Service'])) $this->Service = JsonConverters::fromArray('string', $o['Service']);
        if (isset($o['ProjectStatus'])) $this->ProjectStatus = JsonConverters::from('ProjectStatus', $o['ProjectStatus']);
        if (isset($o['ActualSourceLanguage'])) $this->ActualSourceLanguage = $o['ActualSourceLanguage'];
        if (isset($o['WithoutSourceLanguage'])) $this->WithoutSourceLanguage = $o['WithoutSourceLanguage'];
    }
    
    /** @throws Exception */
    public function jsonSerialize(): mixed
    {
        $o = [];
        if (isset($this->Skip)) $o['Skip'] = $this->Skip;
        if (isset($this->Take)) $o['Take'] = $this->Take;
        if (isset($this->OrderExpression)) $o['OrderExpression'] = $this->OrderExpression;
        if (isset($this->SearchText)) $o['SearchText'] = $this->SearchText;
        if (isset($this->Service)) $o['Service'] = JsonConverters::toArray('string', $this->Service);
        if (isset($this->ProjectStatus)) $o['ProjectStatus'] = JsonConverters::to('ProjectStatus', $this->ProjectStatus);
        if (isset($this->ActualSourceLanguage)) $o['ActualSourceLanguage'] = $this->ActualSourceLanguage;
        if (isset($this->WithoutSourceLanguage)) $o['WithoutSourceLanguage'] = $this->WithoutSourceLanguage;
        return empty($o) ? new class(){} : $o;
    }
}

PHP GetProjectsCount DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/projects/count HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"TotalCount":0}